%define upstream_name    Devel-Dumpvar
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A pure-OO reimplementation of dumpvar.pl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Most perl dumping modules are focused on serializing data structures into a
format that can be rebuilt into the original data structure. They do this
with a variety of different focuses, such as human readability, the ability
to execute the dumped code directly, or to minimize the size of the dumped
data.

Excect for the one contained in the debugger, in the file dumpvar.pl. This
is a much more human-readable form, highly useful for debugging, containing
a lot of extra information without the burden of needing to allow the dump
to be re-assembled into the original data.

The main downside of the dumper in the perl-debugger is that the dumpvar.pl
script is not really a readily loadable and useable module. It has
dedicated hooks from and to the debugger, and spans across multiple
namespaces, including main::.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-8.mga6
+ Revision: 1025504
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-7.mga6
+ Revision: 949493
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.60.0-6.mga5
+ Revision: 789894
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 741939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 684315
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 510836
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 365741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 31913
- mageia rebuild
- imported package perl-Devel-Dumpvar

